firewall {
    all-ping enable
    broadcast-ping disable
    ipv6-receive-redirects disable
    ipv6-src-route disable
    ip-src-route disable
    log-martians enable
    options {
        mss-clamp {
            interface-type pppoe
            interface-type pptp
            interface-type tun
            mss 1452
        }
    }
    receive-redirects disable
    send-redirects enable
    source-validation disable
    syn-cookies enable
}
interfaces {
    bridge br0 {
        aging 300
        hello-time 2
        max-age 20
        priority 0
        promiscuous disable
        stp false
    }
    ethernet eth0 {
        duplex auto
        poe {
            output off
        }
        speed auto
        vif 835 {
            mtu 1500
            pppoe 0 {
                default-route auto
                mtu 1492
                name-server auto
                password pass
                user-id fti/user
            }
        }
        vif 838 {
            bridge-group {
                bridge br0
            }
            description TV
            mtu 1500
        }
        vif 839 {
            bridge-group {
                bridge br0
            }
            description TV
            mtu 1500
        }
        vif 840 {
            bridge-group {
                bridge br0
            }
            description TV
            mtu 1500
        }
        vif 841 {
            bridge-group {
                bridge br0
            }
            description TV
            mtu 1500
        }
        vif 851 {
            description VOIP
            mtu 1500
        }
    }
    ethernet eth1 {
        address dhcp
        duplex auto
        poe {
            output off
        }
        speed auto
    }
    ethernet eth2 {
        duplex auto
        poe {
            output off
        }
        speed auto
    }
    ethernet eth3 {
        duplex auto
        poe {
            output off
        }
        speed auto
    }
    ethernet eth4 {
        duplex auto
        poe {
            output off
        }
        speed auto
    }
    loopback lo {
    }
    switch switch0 {
        address 192.168.1.254/24
        mtu 1500
        switch-port {
            interface eth2
            interface eth3
            interface eth4
        }
    }
}
port-forward {
    auto-firewall enable
    hairpin-nat enable
    lan-interface switch0
    wan-interface pppoe0
}
protocols {
    igmp-proxy {
        interface br0 {
            alt-subnet 0.0.0.0/0
            role upstream
            threshold 1
        }
        interface switch0 {
            alt-subnet 0.0.0.0/0
            role downstream
            threshold 1
        }
    }
    static {
        interface-route 0.0.0.0/0 {
            next-hop-interface pppoe0 {
            }
        }
        route 80.10.117.120/31 {
            next-hop 10.251.52.254 {
            }
        }
        route 81.253.206.0/24 {
            next-hop 10.251.52.254 {
            }
        }
        route 81.253.210.0/23 {
            next-hop 10.251.52.254 {
            }
        }
        route 81.253.214.0/23 {
            next-hop 10.251.52.254 {
            }
        }
        route 172.19.20.0/23 {
            next-hop 10.251.52.254 {
            }
        }
        route 172.20.224.167/32 {
            next-hop 10.251.52.254 {
            }
        }
        route 172.23.12.0/22 {
            next-hop 10.251.52.254 {
            }
        }
        route 193.253.67.88/29 {
            next-hop 10.251.52.254 {
            }
        }
        route 193.253.153.227/32 {
            next-hop 10.251.52.254 {
            }
        }
        route 193.253.153.228/32 {
            next-hop 10.251.52.254 {
            }
        }
    }
}
service {
    dhcp-server {
        disabled false
        hostfile-update disable
        shared-network-name Rezo {
            authoritative disable
            subnet 192.168.1.0/24 {
                default-router 192.168.1.254
                dns-server 192.168.1.254
                dns-server 8.8.8.8
                lease 86400
                start 192.168.1.1 {
                    stop 192.168.1.50
                }
                subnet-parameters "filename &quot;/pxe-boot/pxelinux.0&quot;;"
            }
        }
    }
    dns {
        forwarding {
            cache-size 300
            listen-on switch0
        }
    }
    gui {
        https-port 443
    }
    nat {
        rule 5000 {
            description "Internet Orange Fibre 500/200 Mb/s"
            log disable
            outbound-interface pppoe0
            protocol all
            type masquerade
        }
        rule 5001 {
            description "TV Orange"
            log disable
            outbound-interface br0
            protocol all
            type masquerade
        }
    }
    ssh {
        port 22
        protocol-version v2
    }
    upnp {
        listen-on switch0 {
            outbound-interface pppoe0
        }
    }
}
system {
    host-name EdgeRouter
    login {
        user ubnt {
            authentication {
                encrypted-password $1$zKNoUbAo$gomzUbYvgyUMcD436Wo66.
            }
            level admin
        }
    }
    ntp {
        server 0.ubnt.pool.ntp.org {
        }
        server 1.ubnt.pool.ntp.org {
        }
        server 2.ubnt.pool.ntp.org {
        }
        server 3.ubnt.pool.ntp.org {
        }
    }
    offload {
        ipv4 {
            forwarding enable
            pppoe enable
            vlan enable
        }
    }
    package {
        repository squeeze {
            components "main contrib non-free"
            distribution squeeze
            password ""
            url http://http.us.debian.org/debian
            username ""
        }
        repository squeeze-security {
            components main
            distribution squeeze/updates
            password ""
            url http://security.debian.org
            username ""
        }
    }
    syslog {
        global {
            facility all {
                level notice
            }
            facility protocols {
                level debug
            }
        }
    }
    time-zone Europe/Paris
}


/* Warning: Do not remove the following line. */
/* === vyatta-config-version: "config-management@1:conntrack@1:cron@1:dhcp-relay@1:dhcp-server@4:firewall@5:ipsec@3:nat@3:qos@1:quagga@2:system@4:ubnt-pptp@1:ubnt-util@1:vrrp@1:webgui@1:webproxy@1:zone-policy@1" === */
/* Release version: v1.5.0.4677648.140620.1301 */
